﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Persistence.Storage;
using Telerik.Windows.Persistence.Services;
using Telerik.Windows.Controls;

namespace GridViewSerialization
{
	public partial class ChildWindow1 : ChildWindow
	{
		public ChildWindow1()
		{
			InitializeComponent();
			// register the custom property provider for the RadGridView:
			ServiceProvider.RegisterPersistenceProvider<ICustomPropertyProvider>(typeof(RadGridView), new GridViewCustomPropertyProvider());
			this.DataContext = ExamplesDB.GetCustomers();
		}

		private void OKButton_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = true;
		}

		private void CancelButton_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

		private void gridView_Loaded(object sender, RoutedEventArgs e)
		{
			this.Dispatcher.BeginInvoke(new Action(() =>
			{
				IsolatedStorageProvider provider = new IsolatedStorageProvider();
				provider.LoadFromStorage();
			}));
		}

		private void ChildWindow_Closed(object sender, EventArgs e)
		{
			// save settings if any registered
			IsolatedStorageProvider provider = new IsolatedStorageProvider();
			provider.SaveToStorage();
		}
	}
}

